Bug 289843 - Gwenview doesn't go full screen with double click
Summary: Gwenview doesn't go full screen with double click
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Mageia RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-26 11:36 UTC by AleX
Modified: 2012-10-19 13:27 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description AleX 2011-12-26 11:36:24 UTC
Version:           unspecified (using Devel) 
OS:                Linux

In previous releases, you could start Gwenview full screen mode with a double click. It doesn't work in 2.8/ kde 4.7.95

Reproducible: Always

Steps to Reproduce:
Open an image with gwenview
Do a double click and see nothing happening.


Expected Results:  
Full screen after the double click.
Comment 1 Shlomi Fish 2011-12-27 13:52:31 UTC
(In reply to comment #0)
> Version:           unspecified (using Devel) 
> OS:                Linux
> 
> In previous releases, you could start Gwenview full screen mode with a double
> click. It doesn't work in 2.8/ kde 4.7.95
> 
> Reproducible: Always
> 
> Steps to Reproduce:
> Open an image with gwenview
> Do a double click and see nothing happening.
> 

I double clicked the title and gwenview went to full screen properly. I'm on Mageia Linux 2/Cauldron on x86-64 with KDE 4.7.95 with desktop effects and the ATI Radeon driver. Are you double clicking the title or are you double clicking something else? Does it happen in a new UNIX user? What is your OS architecture?
Do other applications go full screen when their title bars are double clicked?

Regards,

--- Shlomi Fish

> 
> Expected Results:  
> Full screen after the double click.
Comment 2 Aurelien Gateau 2011-12-27 22:43:53 UTC
Git commit 8447ecf001ba1b1e616720d7232e61ab097d5fc4 by Aurélien Gâteau.
Committed on 27/12/2011 at 23:36.
Pushed by gateau into branch 'KDE/4.8'.

Double clicking the view toggle fullscreen
Related: bug 289843

M  +2    -0    lib/documentview/abstractdocumentviewadapter.h
M  +7    -0    lib/documentview/abstractimageview.cpp
M  +2    -0    lib/documentview/abstractimageview.h
M  +2    -7    lib/documentview/documentview.cpp
M  +0    -1    lib/documentview/documentview.h
M  +1    -0    lib/documentview/imageviewadapter.cpp
M  +24   -1    lib/documentview/videoviewadapter.cpp

http://commits.kde.org/gwenview/8447ecf001ba1b1e616720d7232e61ab097d5fc4